<?php
class alerte_intrusion
{
	public $hookName = "alerte_intrusion";
	public $active = true;

	private $devicelist = array(ENTREE_PORTE => "contact", GARAGE_PORTE => "contact", RDC_CHAMBRE_BAIE => "contact", RDC_SALON_BAIE => "contact");

	public $delay = 3;				// amount of time in $timeunit
	public $delayManual = 10;		// amount of time in $timeunit for manual mode
	public $timeUnit = "minute";	// unit of time for delay, second, minute, day, week, month, year

	function __construct()
	{
		global $indexDevices;
		// assigne the function to the sensors devices
		if ($this->active === true)
		{
			foreach ($this->devicelist as $ieeeAddress => $param)
			{
				$indexDevices[$ieeeAddress]->$param["functions"][] = array($this,"callback");
			}
		}
	}

	// callback fonction. Is called with these 4 parameters
	public function callBack(&$device, $param, $value)
	{
		global $devices, $indexDevices;
		switch($param)
		{
			case "contact":
				if ($value == false)
				{
					logger(ALERT, sprintf(_("%s est ouverte alors que personne n'est présent"), $device->friendlyName));
				}
				break;
		}
	}
}

$hooks["alerte_intrusion"] = new alerte_intrusion();

?>
